<?php
/*
Plugin Name: Kminek's Comments Remember Me
Plugin URI: http://www.kminek.pl/lab/rememberme
Description: This plugin adds 'Remember Me' checkbox to the comment form allowing visitors to decide whether their comment data (name, email, website) should be remembered next time they comment.
Author: Grzegorz Wójcik
Version: 1.1
Author URI: http://www.kminek.pl/
*/

//CUSTOMIZE CHECKBOX MARKUP HERE - MAKE SURE TO REMOVE LEADING AND TRAILING WHITESPACES AS THIS MARKUP IS OUTPUTTED VIA document.write
function kmineks_comments_rememberme_checkboxmarkup() { ?><p><label for="kmineks_comments_rememberme_checkbox"><small>Remember Me</small></label> <input id="kmineks_comments_rememberme_checkbox"  type="checkbox" onclick="kmineks_comments_rememberme.check(this)"></p><? }

//END OF CUSTOMIZATION 





//perform redirect after comment submission
if (isset($_GET['url'])) {
	
	if (!($_COOKIE['kmineks_comments_rememberme'])) { 

	//delete cookies
	setcookie('comment_author_' . COOKIEHASH, $comment->comment_author, time() - 30000000, COOKIEPATH, COOKIE_DOMAIN);
	setcookie('comment_author_email_' . COOKIEHASH, $comment->comment_author_email, time() - 30000000, COOKIEPATH, COOKIE_DOMAIN);
	setcookie('comment_author_url_' . COOKIEHASH, clean_url($comment->comment_author_url), time() - 30000000, COOKIEPATH, COOKIE_DOMAIN);

	}

	$redirect_url = urldecode($_GET['url']);
	header("Location: $redirect_url");
	exit;

}

//---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

//determine plugin path
if ( !defined('WP_CONTENT_URL') ) define( 'WP_CONTENT_URL', get_option('siteurl') . '/wp-content');
$kmineks_comments_rememberme_plugin_url = WP_CONTENT_URL.'/plugins/'.plugin_basename(dirname(__FILE__));



function kmineks_comments_rememberme_redirect($url) {
	
	global $kmineks_comments_rememberme_plugin_url;
	return $kmineks_comments_rememberme_plugin_url.'/kmineks_comments_rememberme.php?url='.urlencode($url);

}

function kmineks_comments_rememberme_js() { ?>
<script type="text/javascript">
<!--
var kmineks_comments_rememberme = {
	
	createCookie: function(name,value,days) {
		if (days) {
			var date = new Date();
			date.setTime(date.getTime()+(days*24*60*60*1000));
			var expires = "; expires="+date.toGMTString();
		}
		else var expires = "";
		document.cookie = name+"="+value+expires+"; path=/";
	},

	readCookie: function(name) {
		var nameEQ = name + "=";
		var ca = document.cookie.split(';');
		for(var i=0;i < ca.length;i++) {
			var c = ca[i];
			while (c.charAt(0)==' ') c = c.substring(1,c.length);
			if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
		}
		return null;
	},

	eraseCookie: function(name) {
		kmineks_comments_rememberme.createCookie(name,"",-1);
	},
	
	check: function(obj) {
		if(obj.checked) kmineks_comments_rememberme.createCookie('kmineks_comments_rememberme','yes', 347);
		else kmineks_comments_rememberme.eraseCookie('kmineks_comments_rememberme');
	},
	
	writeCheckbox: function() {
		
		document.write('<? trim(kmineks_comments_rememberme_checkboxmarkup()); ?>');
		
		if (kmineks_comments_rememberme.readCookie('kmineks_comments_rememberme') == 'yes') document.getElementById('kmineks_comments_rememberme_checkbox').checked = true;
		else document.getElementById('kmineks_comments_rememberme_checkbox').checked = false;
		
		
	}
}

kmineks_comments_rememberme.writeCheckbox();
// -->
</script>
<? }

add_action('plugins_loaded', 'kmineks_comments_rememberme_init');
function kmineks_comments_rememberme_init() {

	$user = wp_get_current_user();
	
	if (!$user->ID) { //plugin is intended for not-logged users 
		add_action('comment_form', 'kmineks_comments_rememberme_js');
		add_filter('comment_post_redirect', 'kmineks_comments_rememberme_redirect');
	}

}

?>